## org.apache.felix.obrplugin
Class ObrInstall

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.felix.obrplugin.ObrInstall

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public final class ObrInstall

extends org.apache.maven.plugin.AbstractMojo

Installs bundle details in the local OBR repository (life-cycle goal)

Author:
  Felix Project Team

Field Summary

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`ObrInstall()`

Method Summary
`void` `execute()`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObrInstall

    public ObrInstall()

Method Detail

### execute

    public void execute()

Copyright © 2011. All Rights Reserved.